//========================================================================================
//
//	File:				FWStrs.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWSTRS_H
#define FWSTRS_H

#ifndef FWSTDDEF_H
#include "FWStdDef.h"
#endif

#ifndef FWEXCDEF_H
#include "FWExcDef.h"
#endif

#ifndef FWPSTR_H
#include "FWPStr.h"
#endif

#ifndef FWCHARIT_H
#include "FWCharIt.h"
#endif

#ifndef FWCHARAC_H
#include "FWCharac.h"
#endif

//========================================================================================
// Forward Declarations
//========================================================================================

class FW_CStringReader;
class FW_CStringWriter;
class FW_OStringRunWriter;

//========================================================================================
//	CLASS FW_CStringReader
//========================================================================================

class FW_CStringReader : public FW_CTextReader
{
public:

	FW_DECLARE_AUTO(FW_CStringReader)
	
	FW_CStringReader(const FW_CString &string);
	FW_CStringReader(const FW_CString &string,
					 FW_BytePosition start,
					 FW_ByteCount length);
	virtual ~ FW_CStringReader();
};

//========================================================================================
//	CLASS FW_CStringWriter
//========================================================================================

class FW_CStringWriter : public FW_CTextWriter
{
public:

	FW_DECLARE_AUTO(FW_CStringWriter)
	
	enum {kDefaultBufferSize=32};
	virtual ~ FW_CStringWriter();
	FW_CStringWriter(FW_HString* string, short bufferSize=kDefaultBufferSize);
private:
	static FW_OStringRunWriter* MakeWriter(FW_HString* string, short bufferSize);
	FW_CString	fLock;
};

#endif
